const characters = '幸福空間與設計師們一起邀請您打造家園';

let fs = require('fs'),
stream = fs.createWriteStream('./subset-font.pe');

stream.once('open', function (fd) {
  characters.split('').forEach(char => {
    // 轉換成 16 進位
    let hex = char.charCodeAt(0).toString(16);
    // 補零，以符合 \u 格式
    if (hex.length < 4) {
      hex = hex.padStart(4, '0');
    }
    // 然後執行檔內寫入 SelectMore
    stream.write(`SelectMore("u${hex}")\n`);
  });
  // 反轉選擇，選取所有其他不要的字
  stream.write('SelectInvert()\n');
  // 最後移除字型
  stream.write('DetachAndRemoveGlyphs()\n');
  stream.end();
});